Last modified: 2014-04-07 13:56:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22201 - NTOC doesn't update when a header is added using the toolbar
NTOC doesn't update when a header is added using the toolbar
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Low major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-01-21 05:56 UTC by Calcey QA
Modified: 2014-04-07 13:56 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_r61227_2010-01-21_NTOC.pdf (74.87 KB, application/pdf)
2010-01-21 05:56 UTC, Calcey QA
Details
Wiki_r61537_2010-01-27_Headings.pdf (470.71 KB, application/pdf)
2010-01-27 08:30 UTC, Calcey QA
Details
Wiki_r61577_2010-01-28_Headings.pdf (227.44 KB, application/pdf)
2010-01-28 07:17 UTC, Calcey QA
Details
Wiki_r61584_2010-02-01_Headings.pdf (97.48 KB, application/pdf)
2010-02-01 05:50 UTC, Calcey QA
Details
Wiki_prod_2010-02-08_headers.pdf (163.81 KB, application/pdf)
2010-02-08 05:17 UTC, Calcey QA
Details

Description Calcey QA 2010-01-21 05:56:48 UTC
Created attachment 6991 [details]
Wiki_r61227_2010-01-21_NTOC.pdf

Reporting against Babaco Release : r61227

Steps to Reproduce ::

1) Select a random page
2) Add headings
<<Headings are not immediately showing in the Navigable TOC>>
3) Click on a heading
<< Nothing changes>>
4) Click on Hide Content and again click on Show content
5) Click on a heading
<<shows the heading, sometimes highlighting the previous heading>>

Please refer to the attachment for a detail description

Expected Outcome::

Header items should display in Navigable TOC  as soon as it is added to the editor 


Test Environment::

Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)

Browser (User-Agent): 	Opera/9.63 (Windows NT 6.0; U; en) Presto/2.1.1
Comment 1 nkomura@wikimedia.org 2010-01-22 00:53:07 UTC
How long was the lag approximately in Calcey's environment?
Comment 2 Roan Kattouw 2010-01-22 14:11:02 UTC
(In reply to comment #1)
> How long was the lag approximately in Calcey's environment?

For clarity: there's a 1/4 second delay in that the TOC is only refreshed 1/4 second after you stop typing or do certain other things. This report seems to suggest that the delay is substantially longer, though.
Comment 3 Adam Miller 2010-01-22 15:25:47 UTC
Another thought: When you add a heading via the toolbar, it isn't added to the TOC. It gets picked up as soon as you start to edit the default text that is placed into the text, but when the text is added as a result of the click event on the toolbar's heading drop down, a change event doesn't seem to get fired. 

Is this the desirable behavior? Or should we be adding it to the TOC as soon as it's in the text area, regardless of wether it's the default text or not?
Comment 4 Roan Kattouw 2010-01-22 15:29:32 UTC
(In reply to comment #3)
> Another thought: When you add a heading via the toolbar, it isn't added to the
> TOC. It gets picked up as soon as you start to edit the default text that is
> placed into the text, but when the text is added as a result of the click event
> on the toolbar's heading drop down, a change event doesn't seem to get fired. 
> 
> Is this the desirable behavior? Or should we be adding it to the TOC as soon as
> it's in the text area, regardless of wether it's the default text or not?

This used to work, probably lacking a .trigger( 'change' ) in encapsulateSelection. Will poke at it.
Comment 5 Roan Kattouw 2010-01-22 23:20:35 UTC
Fixed in r61402.
Comment 6 Roan Kattouw 2010-01-22 23:47:39 UTC
(In reply to comment #5)
> Fixed in r61402.

Oops, this rev only fixes the bug Adam mentioned in comment #3, not the bug as filed.
Comment 7 Trevor Parscal 2010-01-26 00:32:28 UTC
We are now listening for encapsulateSelection as well when looking for headings, which resolves this quite nicely.
Comment 8 Calcey QA 2010-01-27 08:30:12 UTC
Created attachment 7028 [details]
Wiki_r61537_2010-01-27_Headings.pdf
Comment 9 Calcey QA 2010-01-27 08:35:26 UTC
(In reply to comment #8)
> Created an attachment (id=7028) [details]
> Wiki_r61537_2010-01-27_Headings.pdf

Verified against r61537

Different browsers display differently on creating and highlighting header items. Please refer the attachment.

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.7) Gecko/20091221
Firefox/3.5.7 (.NET CLR 3.5.30729)

Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727;
Media Center PC 5.0; .NET CLR 3.5.21022; .NET CLR 3.5.30729; .NET CLR
3.0.30618)

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/532.0 (KHTML, like
Gecko) Chrome/3.0.195.38 Safari/532.0

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/525.28 (KHTML, like
Gecko) Version/3.2.2 Safari/525.28.1

Opera/9.63 (Windows NT 6.0; U; en) Presto/2.1.1
Comment 10 Roan Kattouw 2010-01-27 16:03:52 UTC
This seems to be a mixture of different issues, most of which were fixed. Could you retry after I update the software on prototype?
Comment 11 Trevor Parscal 2010-01-27 18:56:59 UTC
Solved this in r61584 by adding <div> to <br> conversion in getContents.
Comment 12 Calcey QA 2010-01-28 07:17:08 UTC
Created attachment 7038 [details]
Wiki_r61577_2010-01-28_Headings.pdf
Comment 13 Calcey QA 2010-01-28 07:19:35 UTC
Comment on attachment 7038 [details]
Wiki_r61577_2010-01-28_Headings.pdf

deleting the attachment
Comment 14 Calcey QA 2010-02-01 05:50:35 UTC
Created attachment 7055 [details]
Wiki_r61584_2010-02-01_Headings.pdf
Comment 15 Calcey QA 2010-02-04 10:45:59 UTC
Verified against the latest version hosted on http://test.wikipedia.org

NTOC is updated as user enters heading from toolbar.
NTOC is highlighted when a heading is selected.
Comment 16 Calcey QA 2010-02-08 05:17:58 UTC
Created attachment 7083 [details]
Wiki_prod_2010-02-08_headers.pdf

Test link : http://en.wikipedia.org/wiki/Main_Page

Steps:
1. Edit a page
2. Add a heading
3. Move to the end of the added heading and press enter
4. Add another heading

Browsers : 

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.38 Safari/532.0

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/525.28 (KHTML, like Gecko) Version/3.2.2 Safari/525.28.1

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/530.17 (KHTML, like Gecko) Version/4.0 Safari/530.17
Comment 17 Calcey QA 2010-02-08 05:18:39 UTC
(In reply to comment #16)
> Created an attachment (id=7083) [details]
> Wiki_prod_2010-02-08_headers.pdf
> 
> Test link : http://en.wikipedia.org/wiki/Main_Page
> 
> Steps:
> 1. Edit a page
> 2. Add a heading
> 3. Move to the end of the added heading and press enter
> 4. Add another heading
> 
> Browsers : 
> 
> Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/532.0 (KHTML, like
> Gecko) Chrome/3.0.195.38 Safari/532.0
> 
> Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/525.28 (KHTML, like
> Gecko) Version/3.2.2 Safari/525.28.1
> 
> Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/530.17 (KHTML, like
> Gecko) Version/4.0 Safari/530.17

Therefore reopening the bug
Comment 18 Calcey QA 2010-02-16 10:06:51 UTC
Tested link: http://prototype.wikimedia.org/deployment-en/
Version : r62529

Bug verification depend on Bug 22543
Comment 19 Roan Kattouw 2010-02-16 16:05:49 UTC
(In reply to comment #18)
> Tested link: http://prototype.wikimedia.org/deployment-en/
> Version : r62529
> 
> Bug verification depend on Bug 22543
... which I marked as FIXED 20 minutes before you posted this comment.
Comment 20 Bugmeister Bot 2011-08-19 19:12:47 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 21 Andre Klapper 2014-04-07 13:56:06 UTC
Closing old tickets about Navigable TOC which is not worked on anymore.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links